Bug 537576 - Lenovo T400 w/ Intel GMA4500 GPU goes into a semi dormant state after a 3rd or 4th resume from hibernate
Lenovo T400 w/ Intel GMA4500 GPU goes into a semi dormant state after a 3rd o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-14 11:07 EST by Kelly-Rand
Modified: 2010-12-03 22:19 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:19:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Selected output from /var/log/messages (5.40 KB, text/plain)
2009-11-14 11:07 EST, Kelly-Rand
no flags Details
less /var/log/messages | grep segfault (6.35 KB, text/plain)
2009-12-19 17:28 EST, Kelly-Rand
no flags Details
Last lines of xorg.log of failed resume (1.12 KB, text/plain)
2009-12-19 17:30 EST, Kelly-Rand
no flags Details

  None (edit)
Description Kelly-Rand 2009-11-14 11:07:56 EST
Created attachment 369536 [details]
Selected output from /var/log/messages

Description of problem:

Resume from hibernate on my Lenovo T400 w/ Intel GMA4500 GPU goes into a semi dormant state after a 3rd or 4th resume from hibernate.

Version-Release number of selected component (if applicable):

glibc-2.10.1-5.i686.rpm
glibc-2.10.1-5.x86_64.rpm
glibc-common-2.10.1-5.x86_64.rpm

How reproducible:

Periodic

Steps to Reproduce:
1.  Resume from hibernate
2.
3.
  
Actual results:

Upon resume from hibernate the T400 laptop became unresponsive, applications would not start. The mouse / trackpoint could select items and get some widget info but open terminal was unselectable. Menu shutdown went unresponsive after clearing task bars.

Additional info:

The unresponsiveness varies, sometimes I can select an open terminal and enter bash commands such as ls. Commands to start GUI based components have no effect though. Some times, as in this case the processor will enter a race condition. A review of /var/log/messages indicates a problem with libc-2.10.1.so. I have attached the relevant output from the log file for review.
As is stated in the summary this does not occur on every resume. The log file will not show any reference to libc-2.10.1.so on successful resumes from hibernate.
Comment 1 Kelly-Rand 2009-11-19 20:21:14 EST
After reading a number of posts, those relating to glibc and those relating to t400's I would thing that glibc is the conduit for the errors as opposed to the source.
I need help in finding the tool to narrow the search for the culprit. So when you get to this please suggest some tools/measures to extract the truth.
Comment 2 Ulrich Drepper 2009-11-25 10:58:52 EST
(In reply to comment #1)
> I need help in finding the tool to narrow the search for the culprit. So when
> you get to this please suggest some tools/measures to extract the truth.  

This is a question you need to ask the kernel people.  I reassigned the bug.
Comment 3 Kelly-Rand 2009-12-19 17:28:16 EST
Created attachment 379407 [details]
less /var/log/messages | grep segfault
Comment 4 Kelly-Rand 2009-12-19 17:30:06 EST
Created attachment 379408 [details]
Last lines of xorg.log of failed resume
Comment 5 Kelly-Rand 2009-12-19 17:48:21 EST
This continues to be a problem on F12 which I have installed in a second partition. When I resume from hibernate the 2nd or later time the computer will boot to a black screen.

The sequence of events is as follows:

I hibernate the machine the 2nd or third time for the day.

I push the power button, the screen lights up the bios screen appears and then the plymouth splash image. The desktop will flash on screen and then disappear and I will be left with a black screen.

I can sometimes restore the desktop by issueing the key combination(s) ctrl+alt+F1 or F2 or F7, I am not sure which as there is some delay I assume due to a race condition in a process.

I have looked in the logs, the pm-suspend.log did not record any output, it normally records the inverse of the hibernate order. The time stamp had not updated from the time of the hibernate.
The message log had some segfaults recorded I have attached that output but I'm not sure those are not just collateral damage. I also attached the related output from the xorg.log.

How do I get usable error output?
Comment 6 Jason Masker 2010-04-19 16:17:46 EDT
Could someone please check if this bug is related to:
https://bugzilla.redhat.com/show_bug.cgi?id=551789
and also
https://bugs.launchpad.net/oem-priority/+bug/532374

According the the second bug linked there is a pending bios update from Lenovo to address this issue.

Also, with later kernel builds a work-around is to use this kernel command-line option:
acpi_sleep=sci_force_enable

But this only works on later kernel builds, I think 2.6.33 & up. The kernel option worked for me on the kernel included with Fedora 13 beta.

uname -a
Linux fmi2727.fic.ffg 2.6.33.1-24.fc13.x86_64 #1 SMP Tue Mar 30 18:21:22 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
Comment 7 Bug Zapper 2010-11-04 02:24:47 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Kelly-Rand 2010-11-06 09:56:48 EDT
Please close this bug or link it to bug #551789. If I find similar issues in F14 I will report them there.


Jim KR
Comment 9 Bug Zapper 2010-12-03 22:19:28 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.